Feature # 1635 (Closed): implement MEMPTR/RAW support

implement conversion support for MEMPTR/RAW

01/19/2013 03:15 PM - Greg Shah

Status: Closed Start date: 01/19/2013

Priority: Normal Due date:  

Assignee: Costin Savin % Done: 100%

Category:  Estimated time: 16.00 hours

Target version: Conversion Support for Server Features   

billable: No vendor_id: GCD

Description

History

#1 - 01/19/2013 03:17 PM - Greg Shah

See the parent task for the list of things to support.  ONLY create the conversion support (rules changes to emit the Java code for the functions and

statements) plus the MINIMUM runtime support to make the converted code compile.  Do not actually implement the backing function.  Just put a

comment like this: // TODO.  This has to be done very quickly so take care to make the code formatting clean from the start.

#2 - 01/19/2013 03:20 PM - Greg Shah

- Target version set to Milestone 4

This task is just to manage time spent.  Please put all history entries into the parent task #1635.

#3 - 01/19/2013 03:55 PM - Greg Shah

For this task, do the conversion support/runtime stubs for all the get-*() functions and for the put-* and set-* statements.  If you can't do this in the time

allotted, then focus on the high priority stuff only.

Do NOT work on COPY-LOB.

Of course, you will have to create some simple testcases to test your work.

#4 - 01/22/2013 12:13 PM - Costin Savin

- Status changed from New to WIP

#5 - 02/07/2013 10:47 AM - Greg Shah

- Status changed from WIP to Closed

- % Done changed from 0 to 100

#6 - 11/16/2016 11:08 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Powered by TCPDF (www.tcpdf.org)

05/07/2024 1/1

https://proj.goldencode.com/issues/1635
http://www.tcpdf.org

